[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#384334: jadetex: Suggested changes, NMU prepared



Dear Ohura-san!

I updated the patch/NMU to include the following two suggestions from
Frank:
  * move the ini files to /usr/share/texmf/tex/jadetex/config
this is again for compliance with the TeX Policy.

  * extend the copyright notices on the Debian packaging part a bit
Here I added you (with a "probably" because I don't know it for sure),
and myself.

Again attached is a diff between 3.13-6 and 3.13-6.2, an updated one.

Best wishes and thanks for considering

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
KETTLENESS (adj.)
The quality of not being able to pee while being watched.
			--- Douglas Adams, The Meaning of Liff
diff -urN jadetex-3.13-6/debian/changelog jadetex-3.13/debian/changelog
--- jadetex-3.13-6/debian/changelog	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/changelog	2006-08-25 09:59:21.000000000 +0200
@@ -1,3 +1,24 @@
+jadetex (3.13-6.2) unstable; urgency=low
+
+  * NMU
+  * change fmtutil line to not load the latex format, but put the loading of
+    latex.ini into jadetex.ini and pdfjadetex.ini (Closes: #384334)
+  * add alternative dependencies on texlive (Closes: #375037)
+  * switch to dh_installtex (Closes: #352845, #335225, #343104)
+    - add the respective call to debian/rules
+    - remove fmt generation code in postinst
+    - remove prerm file
+  * adjust texmf.d config snippet:
+    - add latex in the search path (Closes: #384332)
+    - drop useless pdftex path component
+  * bump standards version to 3.7.2, no changes necessary
+  * move debhelper from build-deps-indep to build-deps
+  * recommend tipa (Closes: #384206)
+  * move the ini files to /usr/share/texmf/tex/jadetex/config
+  * extend the copyright notices on the Debian packaging part a bit
+
+ -- Norbert Preining <preining@logic.at>  Fri, 25 Aug 2006 09:58:40 +0200
+
 jadetex (3.13-6) unstable; urgency=low
 
   * Check whether 40jadetex.cnf has been modified when upgrading from the
@@ -58,7 +79,7 @@
      we use etex and pdfetex for jadetex and pdfjadetex. (Closes: #253098)
    * This might fix #205922 and #253417 as well.
 
- -- Jordi Mallach <jordi@debian.org> Tue, 10 Aug 2004 21:45:08 +0200
+ -- Jordi Mallach <jordi@debian.org>  Tue, 10 Aug 2004 21:45:08 +0200
 
 jadetex (3.13-1) unstable; urgency=medium
 
diff -urN jadetex-3.13-6/debian/control jadetex-3.13/debian/control
--- jadetex-3.13-6/debian/control	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/control	2006-08-23 18:25:11.000000000 +0200
@@ -2,12 +2,13 @@
 Section: tex
 Priority: optional
 Maintainer: OHURA Makoto <ohura@debian.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>=4.0.0), tetex-extra, openjade, docbook-xml (>= 4.2), docbook-dsssl
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>=4.0.0)
+Build-Depends-Indep: tetex-extra, openjade, docbook-xml (>= 4.2), docbook-dsssl, tex-common (>= 0.19)
 
 Package: jadetex
 Architecture: all
-Depends: debianutils (>= 1.7), tetex-bin (>= 2.0.1-1), tetex-extra (>= 2.0.1-2)
+Depends: debianutils (>= 1.7), tetex-bin (>= 2.0.1-1) | texlive-latex-base, tetex-extra (>= 2.0.1-2) | texlive-latex-recommended, tetex-extra (>= 2.0.1-2) | texlive-fonts-recommended | tex-common (>= 0.19)
 Recommends: openjade1.3 | openjade | jade (>= 1.2-1)
 Suggests: docbook-dsssl
 Conflicts: cslatex, csplain, tetex-base (<= 2.0.2a-2)
diff -urN jadetex-3.13-6/debian/copyright jadetex-3.13/debian/copyright
--- jadetex-3.13-6/debian/copyright	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/copyright	2006-08-25 10:00:35.000000000 +0200
@@ -34,8 +34,10 @@
 -- 
 
 Debian-specific changes are Copyright (c) 1997, 1998 Christian
-Leutloff and Marcus Brinkmann; 1999 -- 2001 Adam Di Carlo.  These
-changes are distributed under the terms of the GNU General Public
+Leutloff and Marcus Brinkmann; 1999 -- 2001 Adam Di Carlo;
+2006 Norbert Preining, and probably 2005 OHURA Makoto.
+
+These changes are distributed under the terms of the GNU General Public
 License.
 
 The GNU General Public License is available on Debian systems in the
diff -urN jadetex-3.13-6/debian/fmtutil.cnf jadetex-3.13/debian/fmtutil.cnf
--- jadetex-3.13-6/debian/fmtutil.cnf	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/fmtutil.cnf	2006-08-23 18:25:11.000000000 +0200
@@ -2,6 +2,6 @@
 #                  invoke with 'fmtutil --cnffile <file>'
 #
 # format	engine  pattern-file    arguments
-jadetex		etex	language.dat	&latex jadetex.ini
-pdfjadetex	pdfetex	language.dat	&pdflatex pdfjadetex.ini
+jadetex		etex	language.dat	jadetex.ini
+pdfjadetex	pdfetex	language.dat	pdfjadetex.ini
 
diff -urN jadetex-3.13-6/debian/postinst jadetex-3.13/debian/postinst
--- jadetex-3.13-6/debian/postinst	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/postinst	2006-08-25 09:58:35.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/bash
 # jadetex postinst
-#   jobs: mktexlsr, fmtutil, remove old cruft we used to make
+#   jobs: remove old cruft we used to make
 
 set -e
 
@@ -10,9 +10,6 @@
 TEXINPUTS=
 
 PACKAGE=jadetex
-FMTDIR=/etc/texmf/fmt.d
-FMTCNF="$FMTDIR/40jadetex.cnf"
-TEMPLDIR=/usr/share/texmf/tex/jadetex/config-templates
 
 umask 022
 
@@ -24,13 +21,32 @@
    fi
 }
 
-log ( ) {
-   if [ -f $MYTMPFILE ]; then
-       echo $* >> $MYTMPFILE
-   fi
+dpkg_md5sum(){
+  grep "$1[[:space:]]"  /var/lib/dpkg/status | cut -f 3 -d ' '
+}
+
+config_rename ()
+{
+    oldfile=$1
+    oldmd5sum=$(dpkg_md5sum $oldfile)
 
+    if ! [ -r $oldfile ] ; then
+        return 0
+    fi
+    oldloc=$(dirname $oldfile)
+    newmd5sum=$(md5sum $oldfile |  cut -d ' ' -f 1)
+    if [ "$newmd5sum" = "$oldmd5sum" ] ; then
+        echo "Removing obsolete, unchanged conffile $oldfile"
+        rm $oldfile
+    else
+        echo "Conffile $oldfile was changed, renaming it to $oldfile.dpkg-save"
+	echo "Please see the TeX Policy on where to put the file."
+        mv $oldfile $oldfile.dpkg-save
+    fi
+    test -d $oldloc && rmdir --ignore-fail-on-non-empty $oldloc || true
 }
 
+
 remove_conffile_commit () {
   # syntax: remove_conffile_commit filename
   #
@@ -55,71 +71,6 @@
   fi
 }
 
-checkfmt ( ) {
-    format=$1
-    baseformat=`basename $1 .fmt`
-    if ! ( kpsewhich $baseformat.fmt || kpsewhich $baseformat.efmt ) > /dev/null ; then
-	warn "WARNING: memory dump $format not found, attempting to reconstruct ..."
-	echo "running 'fmtutil --byfmt $baseformat'" >> $MYTMPFILE
-	fmtutil --byfmt $baseformat >> $MYTMPFILE
-	if kpsewhich $format > /dev/null ; then
-	    warn "       ok, reconstructed"
-	else
-	    warn "ERROR: cannot create TeX memory dump $format"
-	    warn "       Your TeX environment seems to be broken; the memory dump file $format"
-	    warn "       was not found and cannot be created.  Probably, TeX is miconfigured."
-	    warn "       You should submit the log file $MYTMPFILE as a bug against"
-	    warn "       the package tetex-bin."
-	    warn
-	    warn "JadeTeX cannot be installed."
-	    exit 1
-	fi
-    fi
-}
-
-
-make_and_check_fmt ( ) {
-    local fmt
-    fmt=$1
-    fmtutil=fmtutil
-    if [ -x /usr/bin/fmtutil-sys ]; then fmtutil=fmtutil-sys; fi
-
-    if ! kpsewhich --progname=jadetex jadetex.ini; then
-        warn "/etc/texmf/jadetex/$fmt.ini not found, skipping $fmt memory dump"
-        warn "If you wish to use JadeTeX, you will have to create the dump manually"
-        warn "or else purge then reinstall this package to restore default configuration."
-        return 0
-    else
-        log "running 'fmtutil --byfmt $fmt'..."
-        if ! fmtutil --byfmt $fmt >> $MYTMPFILE; then
-            warn "ERROR: $fmt fmtutil failed"
-            return 1
-        else
-            log "successfully created $fmt memory dump"
-            return 0
-        fi
-    fi
-    return 0
-}
-
-makejadetexfmt ( ) {
-    local goterror
-    goterror=false
-
-    if ! make_and_check_fmt jadetex; then
-        goterror=true
-    fi
-    if ! make_and_check_fmt pdfjadetex; then
-        goterror=true
-    fi
-    if $goterror; then
-        return -1
-    else
-        return 0
-    fi
-}
-
-
 if [ "$1" = "configure" ]; then
     # old crufty stuff we used to build in postinst - I wonder whether we
     # should actually do this in preinst?
@@ -137,36 +88,9 @@
 	warn "removing old texmf.d config snippet"
 	rm /etc/texmf/texmf.d/96JadeTeX
     fi
-
-    mktexlsr
-
-    MYTMPFILE=`mktemp -t jadetex-postinst.XXXXXX`
-    : > $MYTMPFILE
-
-    # 40jadetex.cnf is now a conffile
-    update-fmtutil
-    update-texmf
-
-    echo "Checking for TeX memory dumps (.fmt) ..."
-    checkfmt latex.fmt
-    checkfmt pdftex.fmt
-    checkfmt pdflatex.fmt
-    echo "   done."
-
-    echo "Creating JadeTeX memory dumps ..."
-    if makejadetexfmt; then
-        echo "   done."
-    else
-        warn "   failed."
-        warn "ERROR: JadeTeX/PDFJadeTeX memory dump creation failed"
-        warn "       This package could not be installed."
-        warn "       Please report this bug; include the file $MYTMPFILE"
-        warn "       in the bug report."
-        exit 1
-    fi
-
-    # remove temp file
-    rm -f $MYTMPFILE
+    # rename the files in /etc/texmf/jadetex/ or remove them.
+    config_rename /etc/texmf/jadetex/jadetex.ini 
+    config_rename /etc/texmf/jadetex/pdfjadetex.ini 
 fi
 
 #DEBHELPER#
diff -urN jadetex-3.13-6/debian/preinst jadetex-3.13/debian/preinst
--- jadetex-3.13-6/debian/preinst	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/preinst	2006-08-25 09:37:44.000000000 +0200
@@ -64,9 +64,18 @@
 		remove_conffile_prepare /etc/texmf/fmt.d/40jadetex.cnf \
 			0812091d71375023df7dcecb7290b10a
 	fi
+	if [ -L /usr/share/texmf/tex/jadetex/config ] ; then
+	    if [ "$(readlink -n -s /usr/share/texmf/tex/jadetex/config)" = "/etc/texmf/jadetex" ] ; then
+	        echo "Removing /usr/share/texmf/tex/jadetex/config symlink."
+		rm /usr/share/texmf/tex/jadetex/config
+	    fi
+	fi
     ;;
 
     abort-upgrade)
+        if ! [ -e /usr/share/texmf/tex/jadetex/config ] ; then
+	    ln -s /etc/texmf/jadetex /usr/share/texmf/tex/jadetex/config
+	fi
     ;;
 
     *)
diff -urN jadetex-3.13-6/debian/prerm jadetex-3.13/debian/prerm
--- jadetex-3.13-6/debian/prerm	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/prerm	1970-01-01 01:00:00.000000000 +0100
@@ -1,37 +0,0 @@
-#!/bin/sh
-# derived from tetex-base.postrm
-
-set -e
-
-# clear environment
-TETEXDIR=
-TEXMF=
-TEXINPUTS=
-
-ETC_CONFIG=/etc/texmf/jadetex
-FMTDIR=/etc/texmf/fmt.d
-
-if [ "$1" = "remove" ]; then
-    # remove the fmt files created at postinst
-    JADETEXFMT=$(kpsewhich jadetex.fmt) || true
-    PDFJADETEXFMT=$(kpsewhich pdfjadetex.fmt) || true
-    rm -f $JADETEXFMT $PDFJADETEXFMT
-
-    # remove the logs created as a sideeffect
-    WEB2CDIR=$(dirname $JADETEXFMT) || true
-    rm -f $WEB2CDIR/jadetex.log $WEB2CDIR/pdfjadetex.log
-
-    update-fmtutil
-fi
-
-# the upgrade case will be handled in postinst; no need to run it twice
-if [ "$1" != "upgrade" ]; then
-    if which mktexlsr >/dev/null 2>&1; then  
-	mktexlsr || true
-    fi
-fi
-
-#DEBHELPER#
-
-exit 0
-
diff -urN jadetex-3.13-6/debian/rules jadetex-3.13/debian/rules
--- jadetex-3.13-6/debian/rules	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/rules	2006-08-25 10:08:03.000000000 +0200
@@ -12,7 +12,7 @@
 mandir		:= $(prefix)/usr/share/man
 texdir		:= $(prefix)/usr/share/texmf/tex/$(package)
 fmtdir		:= $(prefix)/etc/texmf/fmt.d
-confdir		:= $(prefix)/etc/texmf/$(package)
+confdir		:= $(texdir)/config
 texmfdir	:= $(prefix)/etc/texmf/texmf.d
 bugdir		:= $(prefix)/usr/share/bug/$(package)
 
@@ -45,7 +45,7 @@
 test:
 	$(checkdir)
 	sh -n debian/postinst
-	sh -n debian/prerm
+	# gone sh -n debian/prerm
 	sh -n debian/postrm
 
 binary-indep: build test
@@ -57,7 +57,7 @@
 	  $(texdir)/base $(confdir) $(fmtdir) $(texmfdir)
 
 #	 conffile handling
-	ln -sf /etc/texmf/jadetex $(texdir)/config
+	# ln -sf /etc/texmf/jadetex $(texdir)/config
 	$(install_file)	jadetex.ini pdfjadetex.ini $(confdir)/
 	$(install_file)	debian/texmf.cnf $(texmfdir)/96JadeTeX.cnf
 
@@ -67,7 +67,10 @@
 #	echo $(subst $(prefix),,$(texmfdir))/96JadeTeX.cnf     >> debian/conffiles
 
 #	 the fmtutil snippet is managed in the postinst
-	$(install_file) debian/fmtutil.cnf $(fmtdir)/40jadetex.cnf
+	dh_installtex --priority=40	\
+		format=jadetex,etex,language.dat,jadetex.ini	\
+		format=pdfjadetex,etex,language.dat,pdfjadetex.ini
+	# $(install_file) debian/fmtutil.cnf $(fmtdir)/40jadetex.cnf
 
 	$(install_file)	jadetex.1 pdfjadetex.1 $(mandir)/man1/
 
diff -urN jadetex-3.13-6/debian/texmf.cnf jadetex-3.13/debian/texmf.cnf
--- jadetex-3.13-6/debian/texmf.cnf	2006-08-23 15:24:47.000000000 +0200
+++ jadetex-3.13/debian/texmf.cnf	2006-08-23 18:25:11.000000000 +0200
@@ -1,5 +1,5 @@
-TEXINPUTS.jadetex = .;$TEXMF/tex/{jadetex,plain,generic,}//
-TEXINPUTS.pdfjadetex = .;$TEXMF/{pdftex,tex}/{jadetex,plain,generic,}//
+TEXINPUTS.jadetex = .;$TEXMF/tex/{jadetex,latex,plain,generic,}//
+TEXINPUTS.pdfjadetex = .;$TEXMF/tex/{jadetex,latex,plain,generic,}//
 
 %%
 %% jacking up TeX settings for the unique uses of jadetex
diff -urN jadetex-3.13-6/jadetex.ini jadetex-3.13/jadetex.ini
--- jadetex-3.13-6/jadetex.ini	2001-07-02 21:51:44.000000000 +0200
+++ jadetex-3.13/jadetex.ini	2006-08-23 18:25:11.000000000 +0200
@@ -1,3 +1,7 @@
+\let\savedump\dump
+\let\dump\relax
+\input latex.ini
+\let\dump\savedump
 \input jadetex.ltx
 \dump
-\endinput
\ No newline at end of file
+\endinput
diff -urN jadetex-3.13-6/pdfjadetex.ini jadetex-3.13/pdfjadetex.ini
--- jadetex-3.13-6/pdfjadetex.ini	2001-07-02 21:52:12.000000000 +0200
+++ jadetex-3.13/pdfjadetex.ini	2006-08-23 18:25:11.000000000 +0200
@@ -1,3 +1,7 @@
+\let\savedump\dump
+\let\dump\relax
+\input latex.ini
+\let\dump\savedump
 \input jadetex.ltx
 \dump
 \endinput

Reply to: